Bug 2776 - add directive to set the priority in the job description schema
: add directive to set the priority in the job description schema
Status: RESOLVED WONTFIX
: GRAM
wsrf scheduler interface
: unspecified
: Macintosh All
: P3 enhancement
: 4.4
Assigned To:
:
:
:
:
  Show dependency treegraph
 
Reported: 2005-02-21 12:26 by
Modified: 2012-09-05 11:42 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2005-02-21 12:26:49
Many schedulers allow the user to set a priority for a job.  Add a new option
to the gram job description 
schema for this.

- For fork this could map the the unix nice command

- for lsf the following -sp command...

Specify Job Priority

Job priority is specified at submission using bsub and modified after
submission using bmod. Jobs 
submitted without a priority are assigned the default priority of
MAX_USER_PRIORITY/2.

Syntax
bsub -sp priority
bmod [-sp priority | -spn] job_ID

Where:
-sp priority

Specifies the job priority. Valid values for priority are any integers between
1 and MAX_USER_PRIORITY 
(displayed by bparams -l). Invalid job priorities are rejected.

LSF and queue administrators can specify priorities beyond MAX_USER_PRIORITY.

-spn

Sets the job priority to the default priority of MAX_USER_PRIORITY/2 (displayed
by bparams -l).
------- Comment #1 From 2007-09-19 11:37:54 -------
Reassigning to current GRAM developer to close/fix as appropriate.
------- Comment #2 From 2012-09-05 11:42:31 -------
Doing some bugzilla cleanup...  Resolving old GRAM3 and GRAM4 issues that are
no longer relevant since we've moved on to GRAM5.  Also, we're now tracking
issue in jira.  Any new issues should be added here:

http://jira.globus.org/secure/VersionBoard.jspa?selectedProjectId=10363